Summary: OpenFabrics Alliance InfiniBand Diagnostic Tools
Name: infiniband-diags 
Version: 1.6.1
%define base_release .1
Release: 4%{?dist}%{?base_release}
# Upstream allows either license to be used
License: GPLv2 or BSD
Group: System Environment/Libraries
Url: http://openfabrics.org/
Source0: http://www.openfabrics.org/downloads/management/%{name}-%{version}.tar.gz
#Patch0: infiniband-diags-1.5.8-all_hcas.patch
Patch1: infiniband-diags-1.6.1-hostname.patch

BuildRequires: opensm-devel > 3.3.8, libibumad-devel, libibmad-devel, perl
Provides: perl(IBswcountlimits)
Obsoletes: openib-diags < 1.3
ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 %{arm}

# Find the correct directory to install the perl module into.
%global _perldir %(perl -e 'use Config; print $Config{installvendorarch};')

%description
This package provides IB diagnostic programs and scripts needed to
diagnose an IB subnet.

%package devel
Summary: Development files for the infiniband-diags library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and shared devel libraries for the infiniband-diags package.

%package devel-static
Summary: Static development files for the infiniband-diags library
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description devel-static
Static libraries for the infiniband-diags library.

%prep
%setup -q
#%patch0 -p1 -b .hcas
%patch1 -p1 -b .hostname

%build
%configure --with-perl-installdir=%{_perldir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_sbindir}/*.{pl,sh}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_sbindir}/*
%{_mandir}/man8/*.8*
%{_libdir}/libibnetdisc.so.*
%dir %{_sysconfdir}/infiniband-diags
%config(noreplace) %{_sysconfdir}/infiniband-diags/*
%doc COPYING README ChangeLog
%{_perldir}/IBswcountlimits.pm

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*

%files devel-static
%{_libdir}/*.a

%changelog
* Wed Jul 16 2014 baseuser@ibm.com
- Base-f19.x spec file
